<html>
<head>
<title>Ogre::AnimableValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimableValue.html">AnimableValue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnimableValue Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnimableValue" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Defines an object property which is animable, i.e.  
 <a href="classOgre_1_1AnimableValue.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnimableValue:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnimableValue__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnimableValue_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnimableValue_inherit__map" id="Ogre_1_1AnimableValue_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="25,5,129,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnimableValue-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69af2f0a37077706342371d65539e56b295">INT</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a3062c18887fcc426f17c19d786edeaef">REAL</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a31cb7b9505f0707baee335b0b200a135">VECTOR2</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a4f77f4de37ff20785d425d00dde7864a">VECTOR3</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a8c429058bd40804133f32ee95337f05b">VECTOR4</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69ac56bb2149a2092c3a3d834c6def9571a">QUATERNION</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a019d638a0420937709b0ca4ded01a57e">COLOUR</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a6821a401bbbad6d7649104b0978c4216">RADIAN</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a67875f169fb2deebc7c3590efbe621f1">DEGREE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the value being animated.  <a href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a280f34861f78ae0f9560ce6d49bd2346">AnimableValue</a> (<a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a> t)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a89c0b065a5d1a3398e2663713bdf5007">~AnimableValue</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a801dea01990f3cb16def8185159a9e55">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the value type of this animable value.  <a href="#a801dea01990f3cb16def8185159a9e55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ab3198ebe772d4ffeac4f5656420b3a3f">setCurrentStateAsBaseValue</a> (void)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the current state as the 'base' value; used for delta animation.  <a href="#ab3198ebe772d4ffeac4f5656420b3a3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">setValue</a> (int)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a7bf19d59335bc397010e009eaf593288"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a950b8bf6bd5090aa8717215dcba68877">setValue</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a950b8bf6bd5090aa8717215dcba68877"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a4b0159d919981f3e5f6c69461bda725f">setValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a4b0159d919981f3e5f6c69461bda725f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a8beaf446718c7169fd6e8580b5a0fa4e">setValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a8beaf446718c7169fd6e8580b5a0fa4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a8d6e93903faee8c7a0e557e4852111f9">setValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a8d6e93903faee8c7a0e557e4852111f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a61de4fd8eca078570639cb200178a40d">setValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a61de4fd8eca078570639cb200178a40d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a39c32d892f553e9aa1f45091edabeb74">setValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a39c32d892f553e9aa1f45091edabeb74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a1eb74e53e38812bc97931068a4a538db">setValue</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a1eb74e53e38812bc97931068a4a538db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ae0bac21aa939447bb48efa668a7b9da4">setValue</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#ae0bac21aa939447bb48efa668a7b9da4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ac9f25ae01ac3b9cec80df9e7e930bac9">setValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#ac9f25ae01ac3b9cec80df9e7e930bac9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ae544d029ad24ed12090d5ecbb2202ce8">resetToBaseValue</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">applyDeltaValue</a> (int)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a0077811577a67da9e17fe0582eddf9d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a87058d1fc51ccbdeeb7d265d3bc6118a">applyDeltaValue</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set value.  <a href="#a87058d1fc51ccbdeeb7d265d3bc6118a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a59283e8287fd1e9dc82c02f843809407">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a59283e8287fd1e9dc82c02f843809407"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#abb5b33797a6afb9fedbbc12a83c2201e">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#abb5b33797a6afb9fedbbc12a83c2201e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a4fe4b177fb24522f3e1325a6e8daab62">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a4fe4b177fb24522f3e1325a6e8daab62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a7db4121de1ba46cbf27fb9d8a0365cf2">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a7db4121de1ba46cbf27fb9d8a0365cf2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ad131854d6fc1551de763ea93634d618c">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#ad131854d6fc1551de763ea93634d618c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a8a546dead00468e8de1a93a853c5bb59">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a8a546dead00468e8de1a93a853c5bb59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a83b671f2ba59e036b6256ad64cca2ffe">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a83b671f2ba59e036b6256ad64cca2ffe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a662bf10183dd75b2786eb4343c63db8c">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply delta value.  <a href="#a662bf10183dd75b2786eb4343c63db8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">setAsBaseValue</a> (int val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#aacef098935627873fd41f7b3bd37d3cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a591cf1fe6aea2bb616b2fb33aa9d89eb">setAsBaseValue</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a591cf1fe6aea2bb616b2fb33aa9d89eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a4d7deaff8c80d30847824641a1379795">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a4d7deaff8c80d30847824641a1379795"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a79e47a48705265f9d68da37c135d8e07">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a79e47a48705265f9d68da37c135d8e07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#ad8b0a714cd9e968c50aba63e073a178e">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#ad8b0a714cd9e968c50aba63e073a178e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#adb6ffb64834d5c87d4f700cd49d8187c">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#adb6ffb64834d5c87d4f700cd49d8187c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a7e9f1daae0fe81ef3bc537673dedcdbb">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a7e9f1daae0fe81ef3bc537673dedcdbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a27a8718feccb76cfe4d541a336bfb6a8">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a27a8718feccb76cfe4d541a336bfb6a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#aedb01dc3c980da9d66060621bad6789a">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#aedb01dc3c980da9d66060621bad6789a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a3331382a6e5baf2fdd863b92a27eeb3f">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#a3331382a6e5baf2fdd863b92a27eeb3f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#aa3a3dfd661bd4fe6c7a64d12a1f99e25">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Value type.  <a href="#aa3a3dfd661bd4fe6c7a64d12a1f99e25"></a><br/></td></tr>
<tr><td class="memItemLeft" >union {</td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;int&#160;&#160;&#160;<a class="el" href="classOgre_1_1AnimableValue.html#ad8012b223d250f482cd3200ed450a36a">mBaseValueInt</a></td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;&#160;&#160;<a class="el" href="classOgre_1_1AnimableValue.html#a4e26a76b98c42eda570e551322aff11d">mBaseValueReal</a> [4]</td></tr>
<tr><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Base value data.  <a href="#a9a28f64b2bcd08a8c89e83da7458f550"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines an object property which is animable, i.e. </p>
<p>may be keyframed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Animable properties are those which can be altered over time by a predefined keyframe sequence. They may be set directly, or they may be modified from their existing state (common if multiple animations are expected to apply at once). Implementors of this interface are expected to override the 'setValue', 'setCurrentStateAsBaseValue' and 'applyDeltaValue' methods appropriate to the type in question, and to initialise the type. </dd></dl>
<dl class="user"><dt><b></b></dt><dd><a class="el" href="classOgre_1_1AnimableValue.html" title="Defines an object property which is animable, i.e.">AnimableValue</a> instances are accessible through any class which extends <a class="el" href="classOgre_1_1AnimableObject.html" title="Defines an interface to classes which have one or more AnimableValue instances to expose...">AnimableObject</a> in order to expose it's animable properties. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This class is an instance of the Adapter pattern, since it generalises access to a particular property. Whilst it could have been templated such that the type which was being referenced was compiled in, this would make it more difficult to aggregated generically, and since animations are often comprised of multiple properties it helps to be able to deal with all values through a single class. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00071">71</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69"></a><!-- doxytag: member="Ogre::AnimableValue::ValueType" ref="adccd62bb2b72c602b9c59ca651256d69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">Ogre::AnimableValue::ValueType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of the value being animated. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69af2f0a37077706342371d65539e56b295"></a><!-- doxytag: member="INT" ref="adccd62bb2b72c602b9c59ca651256d69af2f0a37077706342371d65539e56b295" args="" -->INT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a3062c18887fcc426f17c19d786edeaef"></a><!-- doxytag: member="REAL" ref="adccd62bb2b72c602b9c59ca651256d69a3062c18887fcc426f17c19d786edeaef" args="" -->REAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a31cb7b9505f0707baee335b0b200a135"></a><!-- doxytag: member="VECTOR2" ref="adccd62bb2b72c602b9c59ca651256d69a31cb7b9505f0707baee335b0b200a135" args="" -->VECTOR2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a4f77f4de37ff20785d425d00dde7864a"></a><!-- doxytag: member="VECTOR3" ref="adccd62bb2b72c602b9c59ca651256d69a4f77f4de37ff20785d425d00dde7864a" args="" -->VECTOR3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a8c429058bd40804133f32ee95337f05b"></a><!-- doxytag: member="VECTOR4" ref="adccd62bb2b72c602b9c59ca651256d69a8c429058bd40804133f32ee95337f05b" args="" -->VECTOR4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69ac56bb2149a2092c3a3d834c6def9571a"></a><!-- doxytag: member="QUATERNION" ref="adccd62bb2b72c602b9c59ca651256d69ac56bb2149a2092c3a3d834c6def9571a" args="" -->QUATERNION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a019d638a0420937709b0ca4ded01a57e"></a><!-- doxytag: member="COLOUR" ref="adccd62bb2b72c602b9c59ca651256d69a019d638a0420937709b0ca4ded01a57e" args="" -->COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a6821a401bbbad6d7649104b0978c4216"></a><!-- doxytag: member="RADIAN" ref="adccd62bb2b72c602b9c59ca651256d69a6821a401bbbad6d7649104b0978c4216" args="" -->RADIAN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="adccd62bb2b72c602b9c59ca651256d69a67875f169fb2deebc7c3590efbe621f1"></a><!-- doxytag: member="DEGREE" ref="adccd62bb2b72c602b9c59ca651256d69a67875f169fb2deebc7c3590efbe621f1" args="" -->DEGREE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00075">75</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a280f34861f78ae0f9560ce6d49bd2346"></a><!-- doxytag: member="Ogre::AnimableValue::AnimableValue" ref="a280f34861f78ae0f9560ce6d49bd2346" args="(ValueType t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableValue.html#a280f34861f78ae0f9560ce6d49bd2346">Ogre::AnimableValue::AnimableValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00137">137</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89c0b065a5d1a3398e2663713bdf5007"></a><!-- doxytag: member="Ogre::AnimableValue::~AnimableValue" ref="a89c0b065a5d1a3398e2663713bdf5007" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1AnimableValue.html#a89c0b065a5d1a3398e2663713bdf5007">Ogre::AnimableValue::~AnimableValue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00138">138</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0077811577a67da9e17fe0582eddf9d0"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a0077811577a67da9e17fe0582eddf9d0" args="(int)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00189">189</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a87058d1fc51ccbdeeb7d265d3bc6118a"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a87058d1fc51ccbdeeb7d265d3bc6118a" args="(Real)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00193">193</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a59283e8287fd1e9dc82c02f843809407"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a59283e8287fd1e9dc82c02f843809407" args="(const Vector2 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00197">197</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="abb5b33797a6afb9fedbbc12a83c2201e"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="abb5b33797a6afb9fedbbc12a83c2201e" args="(const Vector3 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00201">201</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a4fe4b177fb24522f3e1325a6e8daab62"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a4fe4b177fb24522f3e1325a6e8daab62" args="(const Vector4 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00205">205</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a7db4121de1ba46cbf27fb9d8a0365cf2"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a7db4121de1ba46cbf27fb9d8a0365cf2" args="(const Quaternion &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00209">209</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="ad131854d6fc1551de763ea93634d618c"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="ad131854d6fc1551de763ea93634d618c" args="(const ColourValue &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00213">213</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a8a546dead00468e8de1a93a853c5bb59"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a8a546dead00468e8de1a93a853c5bb59" args="(const Degree &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00217">217</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a83b671f2ba59e036b6256ad64cca2ffe"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a83b671f2ba59e036b6256ad64cca2ffe" args="(const Radian &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00221">221</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a662bf10183dd75b2786eb4343c63db8c"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="a662bf10183dd75b2786eb4343c63db8c" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">Ogre::AnimableValue::applyDeltaValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply delta value. </p>

</div>
</div>
<a class="anchor" id="a801dea01990f3cb16def8185159a9e55"></a><!-- doxytag: member="Ogre::AnimableValue::getType" ref="a801dea01990f3cb16def8185159a9e55" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a> <a class="el" href="classOgre_1_1AnimableValue.html#a801dea01990f3cb16def8185159a9e55">Ogre::AnimableValue::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the value type of this animable value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00141">141</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::AnimableValue::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::AnimableValue::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::AnimableValue::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::AnimableValue::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::AnimableValue::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::AnimableValue::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::AnimableValue::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::AnimableValue::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::AnimableValue::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::AnimableValue::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae544d029ad24ed12090d5ecbb2202ce8"></a><!-- doxytag: member="Ogre::AnimableValue::resetToBaseValue" ref="ae544d029ad24ed12090d5ecbb2202ce8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#ae544d029ad24ed12090d5ecbb2202ce8">Ogre::AnimableValue::resetToBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aacef098935627873fd41f7b3bd37d3cf"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="aacef098935627873fd41f7b3bd37d3cf" args="(int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00099">99</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a591cf1fe6aea2bb616b2fb33aa9d89eb"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a591cf1fe6aea2bb616b2fb33aa9d89eb" args="(Real val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00101">101</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d7deaff8c80d30847824641a1379795"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a4d7deaff8c80d30847824641a1379795" args="(const Vector2 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00103">103</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h_source.html#l00111">Ogre::Vector2::ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="a79e47a48705265f9d68da37c135d8e07"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a79e47a48705265f9d68da37c135d8e07" args="(const Vector3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00106">106</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h_source.html#l00116">Ogre::Vector3::ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="ad8b0a714cd9e968c50aba63e073a178e"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="ad8b0a714cd9e968c50aba63e073a178e" args="(const Vector4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00109">109</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00119">Ogre::Vector4::ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="adb6ffb64834d5c87d4f700cd49d8187c"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="adb6ffb64834d5c87d4f700cd49d8187c" args="(const Quaternion &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00112">112</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreQuaternion_8h_source.html#l00125">Ogre::Quaternion::ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="a7e9f1daae0fe81ef3bc537673dedcdbb"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a7e9f1daae0fe81ef3bc537673dedcdbb" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

</div>
</div>
<a class="anchor" id="a27a8718feccb76cfe4d541a336bfb6a8"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a27a8718feccb76cfe4d541a336bfb6a8" args="(const ColourValue &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00117">117</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">Ogre::ColourValue::a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">Ogre::ColourValue::b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">Ogre::ColourValue::g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">Ogre::ColourValue::r</a>.</p>

</div>
</div>
<a class="anchor" id="aedb01dc3c980da9d66060621bad6789a"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="aedb01dc3c980da9d66060621bad6789a" args="(const Radian &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00125">125</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00058">Ogre::Radian::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="a3331382a6e5baf2fdd863b92a27eeb3f"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="a3331382a6e5baf2fdd863b92a27eeb3f" args="(const Degree &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">Ogre::AnimableValue::setAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to set a value as base. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00130">130</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ab3198ebe772d4ffeac4f5656420b3a3f"></a><!-- doxytag: member="Ogre::AnimableValue::setCurrentStateAsBaseValue" ref="ab3198ebe772d4ffeac4f5656420b3a3f" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#ab3198ebe772d4ffeac4f5656420b3a3f">Ogre::AnimableValue::setCurrentStateAsBaseValue</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the current state as the 'base' value; used for delta animation. </p>

</div>
</div>
<a class="anchor" id="a7bf19d59335bc397010e009eaf593288"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a7bf19d59335bc397010e009eaf593288" args="(int)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00147">147</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a950b8bf6bd5090aa8717215dcba68877"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a950b8bf6bd5090aa8717215dcba68877" args="(Real)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00151">151</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a4b0159d919981f3e5f6c69461bda725f"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a4b0159d919981f3e5f6c69461bda725f" args="(const Vector2 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00155">155</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a8beaf446718c7169fd6e8580b5a0fa4e"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a8beaf446718c7169fd6e8580b5a0fa4e" args="(const Vector3 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00159">159</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a8d6e93903faee8c7a0e557e4852111f9"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a8d6e93903faee8c7a0e557e4852111f9" args="(const Vector4 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00163">163</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a61de4fd8eca078570639cb200178a40d"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a61de4fd8eca078570639cb200178a40d" args="(const Quaternion &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00167">167</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a39c32d892f553e9aa1f45091edabeb74"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a39c32d892f553e9aa1f45091edabeb74" args="(const ColourValue &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00171">171</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a1eb74e53e38812bc97931068a4a538db"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="a1eb74e53e38812bc97931068a4a538db" args="(const Radian &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00175">175</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="ae0bac21aa939447bb48efa668a7b9da4"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="ae0bac21aa939447bb48efa668a7b9da4" args="(const Degree &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00179">179</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="ac9f25ae01ac3b9cec80df9e7e930bac9"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="ac9f25ae01ac3b9cec80df9e7e930bac9" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">Ogre::AnimableValue::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9a28f64b2bcd08a8c89e83da7458f550"></a><!-- doxytag: member="Ogre::AnimableValue::@1" ref="a9a28f64b2bcd08a8c89e83da7458f550" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } <code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Base value data. </p>

</div>
</div>
<a class="anchor" id="ad8012b223d250f482cd3200ed450a36a"></a><!-- doxytag: member="Ogre::AnimableValue::mBaseValueInt" ref="ad8012b223d250f482cd3200ed450a36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1AnimableValue.html#ad8012b223d250f482cd3200ed450a36a">Ogre::AnimableValue::mBaseValueInt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00094">94</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e26a76b98c42eda570e551322aff11d"></a><!-- doxytag: member="Ogre::AnimableValue::mBaseValueReal" ref="a4e26a76b98c42eda570e551322aff11d" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimableValue.html#a4e26a76b98c42eda570e551322aff11d">Ogre::AnimableValue::mBaseValueReal</a>[4]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00095">95</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa3a3dfd661bd4fe6c7a64d12a1f99e25"></a><!-- doxytag: member="Ogre::AnimableValue::mType" ref="aa3a3dfd661bd4fe6c7a64d12a1f99e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a> <a class="el" href="classOgre_1_1AnimableValue.html#aa3a3dfd661bd4fe6c7a64d12a1f99e25">Ogre::AnimableValue::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Value type. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00089">89</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
